<?php

/**
 * Template display cover image of Archive WooCommerce Page template.
 * @since: zoo-theme 3.0.0
 * @Ver: 3.0.0
 */
if (!check_vendor()) {

    $enable_shop_cover = get_theme_mod('zoo_enable_shop_heading', 1);
    if (is_shop()) {
        $shop_page = get_post(wc_get_page_id('shop'));
        $description = '';
        if (isset($shop_page->post_content)) {
            $description = wc_format_content($shop_page->post_content);
        }

        if ($description) {
?>
            <div class="container">
                <?php
                woocommerce_product_archive_description();
                ?>
            </div>
            <?php
        } else {
            if ($enable_shop_cover) {
                $thumb = get_theme_mod('zoo_shop_banner');
                $zoo_bg = $thumb['url'] ? $thumb['url'] : '';
                $zoo_style = '';
                if ($zoo_bg != '') {
                    $zoo_style .= 'background-image:url(' . $zoo_bg . ');';
                }
            ?>
                <div id="zoo-cover-archive-page" class="cover-without-slider" style="<?php echo esc_attr($zoo_style); ?>">
                    <div class="container">
                        <h2 class="shop-cover-title"><?php echo woocommerce_page_title(); ?></h2>
                    </div>
                </div>
            <?php
            }
        }
    } else {
        if ($enable_shop_cover && is_product_category()) {
            global $wp_query;
            $cat = $wp_query->get_queried_object();
            $thumbnail_id = get_term_meta($cat->term_id, 'thumbnail_id', true);
            $thumb = wp_get_attachment_url($thumbnail_id);
            $zoo_bg = $thumb ? $thumb : '';
            $zoo_style = '';
            if ($zoo_bg != '') {
                $zoo_style .= 'background-image:url(' . $zoo_bg . ');';
            }
            ?>
            <div id="zoo-cover-archive-page" class="cover-without-slider" style="<?php echo esc_attr($zoo_style); ?>">
                <div class="container">
                    <h2 class="shop-cover-title"><?php echo woocommerce_page_title(); ?></h2>
                    <?php
                    woocommerce_taxonomy_archive_description();
                    ?>
                </div>
            </div>
<?php
        }
    }
}
